# Uses of Enum
org.eclipse.birt.chart.model.attribute.AngleType

Packages that use AngleType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of AngleType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type AngleType
Modifier and Type
Field
Description
`static final List<AngleType>`
AngleType.`VALUES`
A public read-only list of all the 'Angle Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return AngleType
Modifier and Type
Method
Description
`static AngleType`
AngleType.`get(int value)`
Returns the 'Angle Type' literal with the specified integer value.
`static AngleType`
AngleType.`get(String literal)`
Returns the 'Angle Type' literal with the specified literal value.
`static AngleType`
AngleType.`getByName(String name)`
Returns the 'Angle Type' literal with the specified name.
`AngleType`
Angle3D.`getType()`
Returns the value of the 'Type' attribute.
`static AngleType`
AngleType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static AngleType[]`
AngleType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.chart.model.attribute with parameters of type AngleType
Modifier and Type
Method
Description
`void`
Angle3D.`setType(AngleType value)`
Sets the value of the '`Type`' attribute.

## Uses of AngleType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return AngleType
Modifier and Type
Method
Description
`AngleType`
AttributeFactoryImpl.`createAngleTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AngleType`
AttributeFactoryImpl.`createAngleTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`AngleType`
Angle3DImpl.`getType()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type AngleType
Modifier and Type
Method
Description
`void`
Angle3DImpl.`setType(AngleType newType)`